Update Vendor
patch
https://api.flxpoint.com/vendors/{id}Use this when you want to update vendor data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
Endpoint to update an existing Vendor.
Requires Account-level privileges.
Request
Query parameters
namequerystringModify Vendor name
descriptionquerystringModify Vendor description
vendorPortalquerybooleanEnable or disable Vendor Portal access
Example request
patch
/vendors/{id}curl -X PATCH "https://api.flxpoint.com/vendors/{id}" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
200OKapplication/json
idintegerThe ID of the Vendor
createdByUserIdintegerWhen a Vendor is created in-app, a `User` ID is tracked.
createdAtstring (date-time)Timestamp of when the Vendor was created.
deletedAtstring (date-time)Timestamp of when the Vendor was deleted/archived.
namestringdescriptionstringportalEnabledbooleanThis flag determines if the Vendor can access a Vendor Portal to manually interact with Inventory/PO flows.
If this flag is `true` - there is still a requirement to ensure you have a portal configured.
To configure a Vendor Portal, you have to setup a subdomain such as : `example.vendors.flxpoint.com`
You can either do this via the UI (feature launching in late 2021) or via a ticket to our Support Team.
Example response
{
"id": 0,
"createdByUserId": 0,
"createdAt": "2026-04-20T00:00:00Z",
"deletedAt": "2026-04-20T00:00:00Z",
"name": "string",
"description": "string",
"portalEnabled": true
}401Unauthorized
No schema documented for this status.
404Vendor Not Found
No schema documented for this status.
OpenAPI fragment
{
"patch": {
"summary": "Update Vendor",
"description": "Endpoint to update an existing Vendor. \n\nRequires Account-level privileges. ",
"parameters": [
{
"schema": {
"type": "string"
},
"in": "query",
"name": "name",
"description": "Modify Vendor name"
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "description",
"description": "Modify Vendor description"
},
{
"schema": {
"type": "boolean"
},
"in": "query",
"name": "vendorPortal",
"description": "Enable or disable Vendor Portal access"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Vendor"
}
}
}
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Vendor Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight